%define upstream_name    Dist-Zilla-Plugin-Bugtracker
%define upstream_version 1.111080

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Automatically sets the bugtracker URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
This plugin sets the distribution's bugtracker URL as metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.111.80-3.mga4
+ Revision: 510962
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.111.80-2.mga3
+ Revision: 366043
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 19 2011 jquelin <jquelin> 1.111.80-1.mga1
+ Revision: 88501
- update to 1.111080

* Thu Feb 24 2011 jquelin <jquelin> 1.102.670-1.mga1
+ Revision: 58888
- update to 1.102670

* Wed Jan 26 2011 jquelin <jquelin> 1.101.490-1.mga1
+ Revision: 40362
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Bugtracker

